CoCoA-5 - Support #338

MacOS version with static gcc libraries
08 Apr 2013 16:50 - Anna Maria Bigatti

Status: Closed Start date: 08 Apr 2013
Priority: High Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Portability Estimated time: 8.00 hours
Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.25 hour
Description

Compiling CoCoA-5 with static libraries would avoid annoying multiple releases for 10.5, 10.6, ...
C. Soeger succesfully compiled Normaliz with "-static-libgcc".

If it works for us as well we have to insert this in the configuration.

... and what about external libs?

History

#1 - 08 Apr 2013 16:55 - Anna Maria Bigatti
- % Done changed from 0 to 10

First try in public version 10.6.

#2 - 01 Aug 2013 16:00 - Anna Maria Bigatti
- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to High

- % Done changed from 10 to 30

#3 - 01 Aug 2013 16:05 - Redmine Admin
- % Done changed from 30 to 10

#4 - 01 Aug 2013 16:55 - John Abbott

On my machine (Mac OS 10.5) the default configuration for CoCoALib uses "-Igmp" (assuming it is installed in a normal place). At link time the linker
prefers the dynamic library over the static one. So to obtain an executable wit statically linked GMP, | must configure with an explicit
--with-libgmp=/usr/local/lib/libgmp.a thereby forcing the static linking. Of course, on my machine | have installed both static and dynamic GMP
libraries (the default for a GMP installation).

| believe this static/dynamic ambiguity exists only for the "shortcuts" to the system installed libraries.

#5 - 25 Mar 2014 17:48 - John Abbott
- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#6 - 14 Apr 2014 09:24 - Anna Maria Bigatti
- % Done changed from 10 to 20

I noticed that CoCoAlnterpreter for 10.5 works on my 10.6.

... s0 John fixed it?

What about viceversa?

John: could you download release for 10.6 and see if it works on 10.5?
#7 - 16 Apr 2014 17:21 - John Abbott
| tried cocoa-5.0.9-text-mac10.6.tgz (28 Mar 2014) on my machine; it did not start

$ ./CoCoAlnterpreter
dyld: unknown required load command 0x80000022
Trace/BPT trap

#8 - 17 Apr 2014 18:59 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14
- Estimated time set to 8.00 h

#9 - 04 Sep 2014 12:39 - John Abbott
- Status changed from In Progress to Closed

- % Done changed from 20 to 100

Since Mac OS X 10.5 is now more than 5 years old, we have decided to stop worrying about it (for the binary releases).

17 Apr 2024 22


http://www.tcpdf.org

